Bug 1000443 - (CVE-2013-4282) CVE-2013-4282 spice: stack buffer overflow in reds_handle_ticket() function
CVE-2013-4282 spice: stack buffer overflow in reds_handle_ticket() function
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20131029,repo...
: Security
Depends On: 999839 1000446 1000461 1014832 1014833
Blocks: 1000481 1024320
  Show dependency treegraph
 
Reported: 2013-08-23 09:00 EDT by Petr Matousek
Modified: 2016-04-18 03:22 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-08-23 09:00:05 EDT
reds_handle_ticket uses a fixed size 'password' buffer for the decrypted password whose size is SPICE_MAX_PASSWORD_LENGTH. However, RSA_private_decrypt which we call for the decryption expects the
destination buffer to be at least RSA_size(link->tiTicketing.rsa) bytes long.

An remote attacker able to initiate spice connection to the guest could use this flaw to crash the guest.

Acknowledgements:

This issue was discovered by Tomas Jamrisko of Red Hat.
Comment 6 errata-xmlrpc 2013-10-29 15:34:54 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1474 https://rhn.redhat.com/errata/RHSA-2013-1474.html
Comment 7 errata-xmlrpc 2013-10-29 15:35:46 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1473 https://rhn.redhat.com/errata/RHSA-2013-1473.html
Comment 8 errata-xmlrpc 2013-10-29 15:36:38 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:1460 https://rhn.redhat.com/errata/RHSA-2013-1460.html

Note You need to log in before you can comment on or make changes to this bug.